Bug 446349 - libsmbclient requires samba-windbind (and samba-common)
libsmbclient requires samba-windbind (and samba-common)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 04:23 EDT by Oded Arbel
Modified: 2010-06-28 06:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2008-05-14 04:23:14 EDT
Description of problem:
libsmbclient requires that samba-winbind be installed, which in turn requires
samba-common. As libsmbclient is required by GNOME (by gvfs) any gnome
installation requires samba-common.

Version-Release number of selected component (if applicable):
3.2.0-1.pre3.9.fc9

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora with GNOME and without samba
  
Actual results:
samba-common is installed by default

Expected results:
samba-common should only be installed if Samba is to be installed, as it was in
Fedora 8

Additional info:
The problem is that libsmbclient requires libwbclient.so from samba-winbind. I
think that its easy to solve this problem by changing the samba SPEC to put
libwbclient.so in libsmbclient and having samba-winbind depend on libsmbclient
instead of the other way around (it also makes more sense to me - applications
should depend on libraries and not the other way around).

Specifically my problem is that I want to install Samba4 (from 3rd party RPM)
and it conflicts with files from 3.2.0 samba-common and samba-winbind (as it
should) but I can't remove them without botching my GNOME installation.
Comment 1 Guenther Deschner 2008-06-25 09:54:31 EDT
That's not so easy, as libwbclient.so is entirely useless without winbindd. It's
really a frontend library to this. 

What we should investigate is the requirement of libsmbclient to link against it.
Comment 2 Rex Dieter 2008-07-03 10:53:40 EDT
nod, this adds a considerable footprint to live images, so any work to be able
to omit samba-common would be much appreciated.
Comment 3 Bug Zapper 2009-06-09 20:47:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Oded Arbel 2009-06-10 04:58:31 EDT
This is still an issue with Fedora 11
Comment 5 Bug Zapper 2010-04-27 08:02:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rex Dieter 2010-04-27 08:28:55 EDT
A consolation is that this seems fixed in f13 at least.
Comment 7 Bug Zapper 2010-06-28 06:36:36 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.